Package org.apache.solr.client.solrj.impl

# Class SolrZkClientTimeout

java.lang.Object
org.apache.solr.client.solrj.impl.SolrZkClientTimeout

public class SolrZkClientTimeout extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`SolrZkClientTimeout.SolrZkClientTimeoutAware`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_ZK_CLIENT_TIMEOUT`
`static final int`
`DEFAULT_ZK_CONNECT_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`SolrZkClientTimeout()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_ZK_CLIENT_TIMEOUT

public static final int DEFAULT_ZK_CLIENT_TIMEOUT

### DEFAULT_ZK_CONNECT_TIMEOUT

public static final int DEFAULT_ZK_CONNECT_TIMEOUT

## Constructor Details

### SolrZkClientTimeout

public SolrZkClientTimeout()